/**
 * PackageCluster - describe a Solaris install cluster
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.solview;

import java.util.*;

public class PackageCluster {

  private boolean meta = false;
  private String cname;
  private String name;
  private Vector packages;

  public PackageCluster(String cname) {
    this(cname, false);
  }

  public PackageCluster(String cname, boolean meta) {
    this.meta = meta;
    this.cname = cname;
    packages = new Vector();
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getName() {
    return name;
  }

  public void addPackage(String p) {
    packages.add(p);
  }

  public Vector getPackages() {
    return packages;
  }

  public boolean containsPackage(String pname) {
    return packages.contains(pname);
  }
}
