/**
 * SmfPanel - shows smf status
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.solview;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import java.io.*;

public class SmfPanel extends JPanel {
  
  SmfList plist;
  JEditorPane tp;

  /**
   * Display an smf information panel
   */
  public SmfPanel() {
    setLayout(new BorderLayout());
    plist = new SmfList();
    plist.addMouseListener(mouseListener);
    JScrollPane scrollPane = new JScrollPane(plist);
    tp = new JEditorPane();
    tp.setContentType("text/html");
    JSplitPane psplit = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,scrollPane,new JScrollPane(tp));
    psplit.setOneTouchExpandable(true);
    psplit.setDividerLocation(180);
    add(psplit);
  }

  MouseListener mouseListener = new MouseAdapter() {
    public void mouseClicked(MouseEvent e) {
      Cursor c = getCursor();
      setCursor(Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR));
      JList source = (JList) e.getSource();
      tp.setText(plist.getHtmlInfo((String) source.getSelectedValue()));
      tp.setMargin(new Insets(5,5,5,5));
      tp.setCaretPosition(0);
      tp.setEditable(false);
      setCursor(c);
    }
  };

}
