/**
 * SolToolsMenu - standard toolbar menu for solview tools
 * @author Peter Tribble
 * @version 1.0
 *
 */

package uk.co.petertribble.solview;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import uk.co.petertribble.solview.helpers.*;
import java.util.*;
import java.io.*;

public class SolToolsMenu extends JMenu implements ActionListener {

  JMenuItem exitItem;

  Hashtable toolHash;

  public SolToolsMenu() {
    super("Tools");
    toolHash = new Hashtable();

    addItem("Top", "/usr/local/bin/top", (String) null);
    addItem("Top", "/opt/sfw/bin/top", (String) null);
    addItem("Prstat", "/usr/bin/prstat", (String) null);
    addItem("Mpstat", "/usr/bin/mpstat", "1");
    addItem("Vmstat", "/usr/bin/vmstat", "1");
    addItem("IOstat", "/usr/bin/iostat", "-xnz 1");
  }

  /**
   * Add a command to the tools menu. It is only added if the executable
   * exists, and if this tool hasn't been added already. So this can be
   * called multiple times with different paths, and the first location
   * found will be the one that is used.
   */
  private void addItem(String text, String cmd, String args) {
    File f = new File(cmd);
    if (f.exists()) {
      if (!toolHash.containsKey(text)) {
	if (args == null) {
	  toolHash.put(text, cmd);
	} else {
	  toolHash.put(text, cmd + " " + args);
	}
	JMenuItem ji = new JMenuItem(text);
	ji.addActionListener(this);
	add(ji);
      }
    }
  }

  public void actionPerformed(ActionEvent e) {
    new RunInXterm((String) toolHash.get(((JMenuItem) e.getSource()).getText()));
  }

}
